import java.util.Scanner;

public class Optimization {
	
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int t = sc.nextInt();

		for ( int c = 0; c < t; c++ ) {
			int [] precos = new int[100];	// 100 é o numero maximo de pessoas(k) e produtos(n) 
			int numProdutos = sc.nextInt();
			int numPessoas = sc.nextInt();
			long precoTotalMin = 0;				

			for ( int i = 0; i < numProdutos; i++ )
				precos[i] = sc.nextInt(); 

			reverseSort(precos);

			int numCompras = 0;
			for ( int i = 0; i < numProdutos; i++ ) {
				/*  P = (x+1)*ci, se o num de compras > num de pessoas que ja compraram,
					entao comeca a ficar mais caro pois as pessoas vao se repetir.*/
				precoTotalMin += precos[i] * ((numCompras / numPessoas) + 1);
				numCompras++;
			}

			System.out.println(precoTotalMin);
		}
	}

	public static void reverseSort(int [] v) {
		for ( int i = 0; i < v.length; i++ ) {
			for ( int j = 0; j < v.length; j++) {
				if ( v[i] > v[j] ) {
					int aux = v[i];
					v[i] = v[j];
					v[j] = aux;
				}
			}
		}
	}
}